<?php

require_once 'common/bean/Bean.php';

/**
 * Dynamic Bean.
 * 
 * This class encapsulates a <em>Bean</em>, providing dynamic
 * capabilities to its attributes. It means that you can use whatever 
 * attribute you wan't, without need to define it previously.
 * You must note, however, that you won't be able to check if the object 
 * contains any specific key.
 * 
 * @author  $Author: pruna $
 * @package common/bean
 * @version $Revision: 1.3 $
 * @created 18-Oct-2005
 * @modified $Date: 2005/12/06 02:56:45 $
 */
class BeanDynamic extends Bean {
    
    /**
     * Returns true if this map contains the specified key.
     * This is based in the concept that says that this object can have any 
     * key. So, it always returns true. This is what makes this <em>Bean</em> 
     * "dynamic".
     *
     * @access    public
     * @param     mixed     $key         Value to look for
     * @return    boolean
     */
    function containsKey($key) {
        return TRUE;
    }
    
}

?>