<?php

/**
 * ICollection interface.
 * 
 * Contains basic methods to be implemented by any Collection class.
 * Despite not be a class, array is considered as implementing this interface.
 * 
 * @author  $Author: pruna $
 * @package common/collection
 * @version $Revision: 1.1 $
 * @created 10-Jan-2004
 * @modified $Date: 2005/12/06 02:56:45 $
 */
interface ICollection {
    
    /**
     * Constructor must accept a collection as parameter.
     *
     * @param     ICollection    $collection    Initial elements
     * @access    public
     */
    public function __construct($collection = null);
    
    /**
     * Returns an array with this Collection's content.
     *
     * @access    public
     * @return    array
     */
    public function toArray();
    
}

?>