<?php

/**
 * IIterable interface.
 * 
 * Contains basic methods to be implemented by any Iterable class.
 * IteratorAggregate is an internal PHP interface that provides getIterator 
 * method, that must return an Iterator for this Collection's content.
 * <br />
 * <strong>Note:</strong> You can see the commented code for 
 * <em>IteratorAggregate</em> method's signatures in the source code for 
 * this file.
 * 
 * @author  $Author: pruna $
 * @package common/collection
 * @version $Revision: 1.1 $
 * @created 10-Jan-2004
 * @modified $Date: 2005/12/06 02:56:45 $
 */
interface IIterable extends IteratorAggregate {
    
    /**
     * Returns Collection's content size.
     * 
     * @access    public
     * @return    int
     */
    public function size();
    
    /**
     * Returns an Iterator for this Collection.
     * 
     * @access    public
     * @return    Iterator
     */
    //public function getIterator();
    
}

?>