<?php
/**
 * @package dsn
 */ 

/**
 * IHandler interface.
 * 
 * Contains basic methods to be implemented by any Handler class.
 * A class that will be a candidate to handle a DSN should implement it.
 * 
 * @author  $Author: pruna $
 * @package dsn
 * @version $Revision: 1.1 $
 * @created 05-May-2006
 * @modified $Date: 2005/12/06 02:56:45 $
 */
interface IHandler {
    
    /**
     * Determines if this handler is the proper one for this DSN.
     *
     * @access    public
     * @param     DSN       $dsn     DSN that should see if is able to handle
     * @return    boolean
     */
    public function canHandle($dsn);
    
}

?>
