<?php

require_once 'common/bean/Bean.php';

/**
 * Base SQL class.
 * 
 * This class holds a Sql query.
 * 
 * @author  $Author: pruna $
 * @package orm
 * @version $Revision: 1.3 $
 * @created 02-Apr-2005
 * @modified $Date: 2005/12/06 02:56:45 $
 */
class OrmSql extends Bean {
    
    /**
     * Constructor that defines basic properties for this Bean.
     * 
     * It follows Collection rules for constructor.
     * Basic elements are: 
     * <ul>
     * <li>table: array of table names (array)</li>
     * <li>values: array of values used for preparedStatments (array)</li>
     * </ul>
     * Default values may serve as guide for preferred data types.
     * For a full description about this elements, see @docs
     * 
     * @access  public
     * @param   ICollection    $collection    Initial elements
     */
    public function __construct($collection = null) {
        parent::__construct(array(
            'table' => array(),
            'values' => array(),
        ));
        $this->setAll($collection);
    }
    
}

?>