<?php

require_once 'common/bean/Bean.php';

/**
 * Base map's element class.
 * 
 * This class defines the base for all other map's elements.
 * 
 * @author  $Author: pruna $
 * @package orm/mapping
 * @version $Revision: 1.3 $
 * @created 02-Apr-2005
 * @modified $Date: 2005/12/06 02:56:45 $
 */
class OrmMapElement extends Bean {
    
    /**
     * Constructor that defines basic properties for this Bean.
     * 
     * It follows Collection rules for constructor.
     * Basic elements are: 
     * <ul>
     * <li>name: element's name (string)</li>
     * <li>qname: element's full qualified name (string)</li>
     * <li>column: column's name (string)</li>
     * </ul>
     * Default values may serve as guide for preferred data types.
     * QName (full qualified name) is used to avoid name conflicts, when 
     * selecting from different tables (example, when doing a 'join', both 
     * tables may have an 'id'). It's made by table alias and element's name.
     * For a full description about this elements, see @docs
     * 
     * @access  public
     * @param   ICollection    $collection    Initial elements
     */
    public function __construct($collection = null) {
        parent::__construct(array(
            'name' => null,
            'qName' => null,
            'column' => null,
        ));
        $this->setAll($collection);
    }
    
}

?>