<?php

require_once 'orm/mapping/OrmMapElement.php';

/**
 * Id map's element class.
 * 
 * This class defines map's element Id.
 * This element represents the table's primary key (PK).
 * 
 * @author  $Author: pruna $
 * @package orm/mapping
 * @version $Revision: 1.3 $
 * @created 02-Apr-2005
 * @modified $Date: 2005/12/06 02:56:45 $
 */
class OrmMapElementId extends OrmMapElement {
    
    /**
     * Constructor that defines basic properties for this Bean.
     * 
     * It follows Collection rules for constructor.
     * Basic elements are: 
     * <ul>
     * <li>name: element's name (string - default: id)</li>
     * <li>column: column's name (string - default: id)</li>
     * </ul>
     * Default values may serve as guide for preferred data types.
     * For a full description about this elements, see @docs
     * 
     * @access  public
     * @param   ICollection    $collection    Initial elements
     */
    public function __construct($collection = null) {
        parent::__construct(array(
            'name' => 'id',
            'column' => 'id',
        ));
        $this->setAll($collection);
    }
    
}

?>