<?php

require_once 'orm/mapping/OrmMapElementCollection.php';

/**
 * One to many (o2m) relations map's element class.
 * 
 * This class defines map's element for O2m relations.
 * This element represents a o2m (usually marked as 1:n) relation.
 * 
 * @author  $Author: pruna $
 * @package orm/mapping
 * @version $Revision: 1.3 $
 * @created 02-Apr-2005
 * @modified $Date: 2005/12/06 02:56:45 $
 */
class OrmMapElementO2m extends OrmMapElementCollection {
    
    /**
     * Constructor that defines basic properties for this Bean.
     * 
     * It follows Collection rules for constructor.
     * Basic elements are: 
     * <ul>
     * <li>update: if must update (boolean - default: true)</li>
     * <li>insert: if must insert (boolean - default: true)</li>
     * </ul>
     * Default values may serve as guide for preferred data types.
     * For a full description about this elements, see @docs
     * 
     * @access  public
     * @param   ICollection    $collection    Initial elements
     */
    public function __construct($collection = null) {
        parent::__construct(array(
            'update' => TRUE,
            'insert' => TRUE,
        ));
        $this->setAll($collection);
    }
   
}

?>